/*
 * debug.h
 *
 * macros for debugging
 *
 * 2000-07-27 Alex Fedosov
 * 2001-10-23 Gregory D. Benson
 *   Name change: dbgmsg to DBG (shorter and easier to see in code)
 */

// #define DEBUG

#ifndef __DEBUG_H__
#define __DEBUG_H__

#include <stdio.h>

#ifdef DEBUG
#define DBG(x) { \
	printf x; \
	fflush (stdout); \
}
#else
#define DBG(x)
#endif

#endif
