#include<stdio.h>
#include<stdlib.h>
#include<unistd.h>
#include"mpi.h"

int
MPI_Test (MPI_Request * request, int *flag, MPI_Status * status)
{
  pthread_mutex_lock (&_USF_mut_req);
  status->count = 0;
  *flag = 0;
  if (*request == MPI_REQUEST_NULL) {
    pthread_mutex_unlock (&_USF_mut_req);
    return 0;
  }
  if (!(*request)->active) {
    pthread_mutex_unlock (&_USF_mut_req);
    return 0;
  }
  if ((*request)->done) {
    *flag = 1;
    status->count = (*request)->size;
    status->MPI_SOURCE = (*request)->peer;
    status->MPI_TAG = (*request)->tag;
    if ((*request)->active == 2) {
      (*request)->active == 0;
    } else {
      _USF_request_remove ((*request)->node);
      *request = MPI_REQUEST_NULL;
    }
    pthread_mutex_unlock (&_USF_mut_req);
    return 0;
  }
  return 0;
}
